
/*--

\FileTitle{
ILSIX---CommonLisp-like names for the ILFIVE library functions.
}
\CopyrightNotice{

    Copyright (c) 1991--1996 Alexandru Dan Corlan MD (http://dan.corlan.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

}

\begin{code}
--*/


#include <stdio.h>
#include <malloc.h>

#include "ilsix.h"


/*--
\end{code}

\section{ILSIX implementation}

\subsection{Symbols}

\begin{code}
--*/

cell cl_make_symbol(char *s)

{
  return esym(s);
}


/*--
\end{code}

\subsection{Numbers}

\begin{code}
--*/

cell cl_make_integer(long v)

{
  return make(BINARY, v);
}


/*--
\end{code}

\subsection{cl_consp}

\begin{code}
--*/

short cl_consp(cell c)

{
  if(c!=NIL && is_cons(c))
    return 1;
  else
    return 0;
}

/*--
\end{code}

\subsection{Strings}

\begin{code}
--*/

cell cl_make_string(char *s)

{
  return strbuild(s);
}

/*--
\end{code}

\endoffile

--*/

