
/*--

\FileTitle{ 
ILSIX---CommonLisp-like interfaces for the ILFIVE library.
}
\CopyrightNotice{

    Copyright (c) 1991--1996 Alexandru Dan Corlan MD (http://dan.corlan.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

}
\vskip 1in

\begin{code}
--*/

#ifdef _MSDOS_
#include <ilfive/shpell5.h>
#else
#include <shpell5.h>
#endif

/*--
\end{code}

\section{ILSIX} 

\PackagePurpose{  % be short
Contains a regular inteface to the functions in the ILFIVE 
library. This interface follows the
CommonLisp Level 2 standard as much as possible.
}

\begin{code}
--*/


/*--
\end{code}

\subsection{Symbols}

\begin{code}
--*/

cell cl_make_symbol(char *s);


/*--
\end{code}

\subsection{Numbers}

\begin{code}
--*/

cell cl_make_integer(long v);


/*--
\end{code}

\subsection{Conses} 

\begin{code}
--*/

short cl_consp(cell c);

/*--
\end{code}

\subsection{Strings} 

\PackagePurpose{
Implements the functions in the strings section (Chapter 16)
in the CommonLisp ANSI Draft X3J13/93-102 document. 
}

\begin{code}
--*/

cell cl_make_string(char *s);

/*--
\end{code}

\endoffile

--*/

