/*
 * Processing of the .rir (and, for that matter, qst) files.

    Copyright (c) 1996 Alexandru Dan Corlan MD (http://dan.corlan.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

#define RIR_NOTHING 0x0000
#define RIR_PAD     0xffff
#define RIR_PLACE   0x0001
#define RIR_ST_A    0x0101
#define RIR_ST_B    0x0102
#define RIR_ST_C    0x0103

#define MAX_RIR_RECORD 512

typedef struct rir {
  short rir_type;
  long last_place;
  long last_offset;
  long n_entries;
  char crt[MAX_RIR_RECORD];
  short crtfill;
  FILE *rirf;
} RIR;

#define QST_TYPE 1
#define RIR_TYPE 2

RIR *rir_open(char *fn, short rir_type);  /* null if error */
void rir_close(RIR *rf);
/* rir_seek_at_place(RIR *rf, long place);     /* place in ccs */
/* rir_seek_at_offset(RIR *rf, long offset);   /* elt entry in the rir file */
/* long rir_tell_place(RIR *rf);               /* returns current place */
/* long rir_tell_offset(RIR *rf);              /* returns current offset */
int rir_has(RIR *rf, short meas_type);          /* 1 if rir has that meas */
long rir_duration(RIR *rf);                 /* place of the last rir entry */
long rir_meas(RIR *rf, short meas_type);    /* crt value of that meas */
int rir_read_next_record(RIR *rf);          /* step on to the next record */



/* End of the .rir header file */
